Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.table
Class TableHandler

    java.lang.Object
      com.tonbeller.wcf.form.NodeHandlerSupport
          com.tonbeller.wcf.table.TableHandler

All Implemented Interfaces:
  NodeHandler

public class TableHandler
extends NodeHandlerSupport

Manages a TableComponent inside a FormComponent

Author:
  av

Constructor Summary
`TableHandler()`

Method Summary
`protected TableComponent` | `createTableComp(java.lang.String id, FormComponent comp, TableModel tm)`
`void` | `destroy(javax.servlet.http.HttpSession session)`
`FormComponent` | `getFormComp()`
`TableComponent` | `getTable()`
`void` | `initialize(RequestContext context, XmlComponent xmlComp, org.w3c.dom.Element element)` initializes the handler
`void` | `render(RequestContext context)` does nothing

Methods inherited from class com.tonbeller.wcf.form.NodeHandlerSupport
`getElement, getXmlComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableHandler

    public TableHandler()

Method Detail

### initialize

    public void initialize(RequestContext context,
                           XmlComponent xmlComp,
                           org.w3c.dom.Element element)
                    throws java.lang.Exception

  Description copied from interface: `NodeHandler`
  initializes the handler

  Specified by:
    `initialize` in interface `NodeHandler`
  Overrides:
    `initialize` in class `NodeHandlerSupport`
  Throws:
    `java.lang.Exception`

### createTableComp

    protected TableComponent createTableComp(java.lang.String id,
                                             FormComponent comp,
                                             TableModel tm)

### destroy

    public void destroy(javax.servlet.http.HttpSession session)
                 throws java.lang.Exception

  Specified by:
    `destroy` in interface `NodeHandler`
  Overrides:
    `destroy` in class `NodeHandlerSupport`
  Throws:
    `java.lang.Exception`

### render

    public void render(RequestContext context)
                throws java.lang.Exception

  Description copied from class: `NodeHandlerSupport`
  does nothing

  Specified by:
    `render` in interface `NodeHandler`
  Overrides:
    `render` in class `NodeHandlerSupport`
  Throws:
    `java.lang.Exception`

### getFormComp

    public FormComponent getFormComp()

  Returns:

### getTable

    public TableComponent getTable()

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD